### Method

# Phosh MMDBusModem get_signal_quality

#### Declaration [src]

    GVariant*
    phosh_mm_dbus_modem_get_signal_quality (
      PhoshMMDBusModem* object
    )

#### Description [src]

Gets the value of the “SignalQuality” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `phosh_mm_dbus_modem_dup_signal_quality()` if on another thread.

This method is not directly available to language bindings.

Gets property | `Phosh.MMDBusModem:signal-quality`

#### Return value

Type: `GVariant`

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object`.

The data is owned by the instance.
The return value can be `NULL`.